=== tests/benchmarks/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


if(QT_FEATURE_system_zlib)
    add_subdirectory(mng)
    add_subdirectory(tiff)
endif()
