=== debian/control ===
Source: qt6-imageformats
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               libgl-dev,
               libjasper-dev,
               libmng-dev,
               libtiff-dev,
               libwebp-dev,
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.10.0~)
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-tools (>= 6.10~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-imageformats.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-imageformats
Maintainer: Neon CI <neon@kde.org>

Package: qt6-imageformats
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: qt6-image-formats-plugins (<< ${source:Version}~ciBuild)
Replaces: qt6-image-formats-plugins
Description: Qt 6 Image Formats plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains plugins for adding support for ICNS, MNG, TGA, TIFF,
 WBMP and WEBP image formats.

Package: qt6-imageformats-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-imageformats (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 6 image formats development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files for the Qt 6 image formats plugins.

Package: qt6-imageformats-doc
Architecture: all
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-imageformats-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-imageformats-doc-html
Multi-Arch: foreign
Description: Qt 6 image formats documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 image formats plugins.

Package: qt6-image-formats-plugins
Architecture: all
Depends: qt6-imageformats, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-imageformats-doc-html
Architecture: all
Depends: qt6-imageformats-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
